.compare-btn-wrap {
  margin-bottom: 25px;
}

.variable-comparison-popup {
  background-color: var(--primary-color);
  width: 250px;
  left: calc(((100% - var(--container-width)) / 2) + 15px);
  border-radius: 5px;
  padding: 10px;
  color: var(--white);
}

.variable-compare-btn-wrap {
  display: flex;
  align-items: center;
  margin: 15px 0;
  justify-content: space-between;
}

.variable-compare-btn-wrap>*:not(:last-child) {
  margin-right: 5px;
}

.var-name {
  font-weight: var(--primary-bold);
  color: var(--white);
}

.var-name:hover {
  color: var(--white);
  text-decoration: underline;
}

.var-description {
  font-size: var(--font-size12);
  line-height: 1.33;
}

.var-box {
  position: relative;
}

.var-box .var-remove {
  position: absolute;
  right: 5px;
  top: 0;
}

.var-list {
  max-height: 200px;
  padding-right: 3px;
}

.var-list .var-box {
  margin-bottom: 5px;
  padding-bottom: 5px;
  border-bottom: 1px solid var(--color-c2);
}

.listing-item .title {
  font-weight: var(--primary-regular) !important;
}

.variable-comparison-popup .container {
  display: block !important;
}

/*** Comparison Popup ***/
.variable-comparison-popup {
  background: var(--white);
  color: white;
  color: var(--nada-blue-color);
  border: 1px solid var(--nada-blue-color);
  border-radius: 4px 4px 0 0;
  border-bottom: 0;
  overflow: hidden;
  padding: 0;
}

.fixed-bottom.variable-comparison-popup {
  width: 360px;
  /* height: 380px; */
  height: auto;
  right: 2rem;
  left: auto;
  display: flex;
  bottom: 0;
}

/* TODO: Can we take out the utility classes from the markup (pt-2, mt-4, d-md-block) */
.variable-comparison-popup>.container {
  display: flex !important;
  padding-top: 0 !important;
  margin: 0 !important;
  padding-left: 0;
  padding-right: 0;
}

.variable-comparison-popup .wb-var-panel {
  display: flex;
  flex-direction: column;
  flex-wrap: unset;
  flex: 1;
  justify-content: space-between;
}

.variable-comparison-popup .wb-var-title {
  cursor: pointer;
  background: var(--nada-blue-color);
  color: var(--white);
  flex: 0 0 auto;
  padding: 1rem;
  display: flex;
  justify-content: space-between;
}

.variable-comparison-popup .wb-var-title>div {
  margin: 0 !important;
}

.variable-comparison-popup .wb-var-body {
  overflow: auto;
  flex: 1;
  padding: 0 25px;
}

.variable-comparison-popup .wb-var-actions {
  flex: 0 0 auto;
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.1), 0px 4px 30px rgba(0, 0, 0, 0.15);
  justify-content: center;
  display: flex;
}

.variable-comparison-popup .wb-var-actions>div {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: flex-end;
  margin: 1rem 0 !important;
  /*TODO: Remove the utility classes or adjust them.*/
}

.variable-comparison-popup .wb-var-actions .clear-variables {
  color: var(--regular-gray1);
}

.variable-comparison-popup .wb-var-actions .clear-variables:hover {
  text-decoration: none;
  color: var(--color-c1);
}

.variable-comparison-popup .wb-var-actions .clear-variables::before {
  font-family: 'Font Awesome 5 Free';
  font-weight: 900;
  content: "\f00d";
  margin-right: 0.5rem;
}

.variable-comparison-popup .wb-var-actions .btn-primary::after {
  font-family: 'Font Awesome 5 Free';
  font-weight: 900;
  content: "\f35d";
  margin-left: 0.5rem;
}

.var-box {
  color: var(--regular-gray1);
  border-bottom: 1px solid var(--color-c2);
  padding: 1rem;
  margin: 0;
  position: relative;
  font-size: 12px;
  display: block;
  float: left;
  width: 100%;
}

/* TODO: take out the `text-white` from the markup*/
.var-box a.var-name,
.var-box a.var-name.text-white {
  color: var(--regular-gray1) !important;
}

.var-box .var-description,
.var-box .var-description.text-white {
  color: var(--regular-gray10) !important;
}

.var-box .var-remove {
  font-size: 18px;
  color: var(--regular-gray1);
  cursor: pointer;
}

.var-box .var-remove.fa:hover {
  color: var(--color-c1);
}

.var-box .faclose {
  position: absolute;
  top: 50%;
  right: 1rem;
  font-size: 1rem;
  transform: translateY(-50%);
}

.variable-comparison-popup .var-name {
  text-transform: uppercase;
}

.variable-comparison-popup.wb-collapsed.wb-updating {
  animation: shake 0.82s cubic-bezier(.36, .07, .19, .97) both;
}

.variable-comparison-popup {
  transition: height 0.3s;
}

.variable-comparison-popup.wb-collapsed {
  height: 60px;
}

.variable-comparison-popup.wb-collapsed .wb-var-handler-down,
.variable-comparison-popup:not(.wb-collapsed) .wb-var-handler-up {
  display: none;
}


@keyframes shake {

  10%,
  90% {
    transform: translate3d(-1px, 0, 0);
  }

  20%,
  80% {
    transform: translate3d(2px, 0, 0);
  }

  30%,
  50%,
  70% {
    transform: translate3d(-4px, 0, 0);
  }

  40%,
  60% {
    transform: translate3d(4px, 0, 0);
  }
}

.variable-comparison-popup-backdrop {
  display: none;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  opacity: .65;
  background-color: var(--color-c3);
  pointer-events: initial;
}

.variable-comparison-popup-backdrop.wb-active {
  display: block;
}

/*** END OF Comparison Popup ***/
